Subject: Re: bug#15260: cannot build in a directory with non-ascii characters

From: Eli Zaretskii <[email-masked]>
Date: Mon, 28 Oct 2013 05:39:54 +0200

> From: Stefan Monnier <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Sun, 27 Oct 2013 20:30:32 -0400
> 
> > So I guess you are asking why the particular piece of code being
> > discussed here couldn't keep file names as unibyte strings, is that
> > your question?
> 
> IIUC the issue is how to encode when we don't yet have the
> coding-systems loaded/setup.  But it seems if we can't encode, then we
> can't decode either, so we should just fallback on using unibyte strings
> (which shouldn't be encoded on the way back to the OS) for those file
> names we create/manipulate before coding-systems are available.

As I explained, this would be even more hair than what I proposed,
because you are talking about core Emacs data structures and variables
that are involved in every file-related op.

On top of that, using unibyte strings is inherently fragile in Emacs,
as the code is not written to support them too well, as you well
know.  We always advise users to stay away of unibyte strings, and for
a good reason, so doing this ourselves sounds unwise.